#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QDialog>
#include <QUrl>
#include <QNetworkAccessManager>
#include <QNetworkReply>

namespace Ui {
class AboutDialog;
}

class AboutDialog : public QDialog
{
    Q_OBJECT

public:
    Q_PROPERTY(QString homepage READ homepage WRITE setHomepage NOTIFY homepageChanged)
    Q_PROPERTY(QUrl updateUrl READ updateUrl WRITE setUpdateUrl NOTIFY updateUrlChanged)

    explicit AboutDialog(QWidget *parent = 0);
    ~AboutDialog();
    QString homepage() const;
    QUrl updateUrl() const;

public slots:
    void setHomepage(QString homepage);
    void setUpdateUrl(QUrl updateUrl);

signals:
    void homepageChanged(QString homepage);
    void updateUrlChanged(QUrl updateUrl);

private slots:
    void on_update_pushButton_clicked();

private:
    Ui::AboutDialog *ui;
    QString m_homepage;
    QUrl m_updateUrl;
    QNetworkAccessManager m_qnam;
    QNetworkReply *m_reply;

};

#endif // ABOUTDIALOG_H
