#include "helpbrowser.h"

#include <QDebug>
#include <QApplication>
#include <QDir>

struct HelpBrowser::Private {

};

HelpBrowser::HelpBrowser(QWidget* parent) :
    QTextBrowser(parent),
    m_private(new Private)
{
    setWindowFlags(Qt::Window);
    setMinimumSize(600, 450);
    //setTextInteractionFlags(Qt::LinksAccessibleByMouse | Qt::LinksAccessibleByKeyboard);

    connect(this, &HelpBrowser::sourceChanged, [=](const QUrl &source) {
        Q_UNUSED(source)
        setWindowTitle(documentTitle());
    });
}

void HelpBrowser::open(QString filename)
{
    QString base("qrc:/help/");
    QString locale = QLocale::system().name();
    QDir dir;
    if (dir.exists(base+locale)) {
        base = base+locale;
    } else if (dir.exists(base+locale.split("_").first())) {
        base = base+locale.split("_").first();
    } else {
        base = base+"en_US";
    }

    if (filename.isEmpty()) {
        filename = base+"/index.html";
    } else {
        filename = base+"/"+filename;
    }

    setSource(filename);
    show();
    raise();
}

