#ifndef LAYOUTCONFIGURATION_H
#define LAYOUTCONFIGURATION_H

#include <QGroupBox>
#include <QSharedPointer>

class ComicLayout;

namespace Ui {
class LayoutConfiguration;
}

class LayoutConfiguration : public QGroupBox
{
    Q_OBJECT

public:
    explicit LayoutConfiguration(QWidget *parent = 0);
    ~LayoutConfiguration();

// Properties
public:
    Q_PROPERTY(QSharedPointer<ComicLayout> comicLayout READ comicLayout WRITE setComicLayout NOTIFY comicLayoutChanged)

    QSharedPointer<ComicLayout> comicLayout() const;

public slots:
    void setComicLayout(QSharedPointer<ComicLayout> comicLayout);

signals:
    void comicLayoutChanged(QSharedPointer<ComicLayout> comicLayout);

private:
    Ui::LayoutConfiguration *ui;
    struct Private;
    QSharedPointer<Private> m_private;
};

#endif // LAYOUTCONFIGURATION_H
