#include "mainwindow.h"
#include <QApplication>

#include <QTextCodec>
#include <QTranslator>

#include <comiclayout.h>

static MainWindow *mainwindow;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    app.setStyle("Fusion");

    QIcon icon;
    icon.addFile(QStringLiteral(":/icons/ComicCreator.png"), QSize(), QIcon::Normal, QIcon::Off);
    app.setWindowIcon(icon);

    QTextCodec::setCodecForLocale(QTextCodec::codecForName("utf8"));
    QString locale = QLocale::system().name();
    QTranslator translator;
    translator.load(QString(":/l10n/%1").arg(locale));
    app.installTranslator(&translator);

    app.setOrganizationName("Moritz Molch");
    app.setOrganizationDomain("moritzmolch.com");
    app.setApplicationVersion(APP_VERSION);
    app.setApplicationName("ComicCreator");
    app.setApplicationDisplayName(QApplication::tr("Comicpage Creator for Krita"));

    ComicLayout::addLayoutDirectory(":/layouts");
    ComicLayout::addLayoutDirectory(QString("%1/layouts").arg(app.applicationDirPath()));

    MainWindow w;
    mainwindow = &w;
    w.show();

    return app.exec();
}
