#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSharedPointer>

class AboutDialog;
class ComicPage;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void showHelp(const QString &link = QString());

// Properties
public:
    Q_PROPERTY(QSharedPointer<ComicPage> comicPage READ comicPage WRITE setComicPage NOTIFY comicPageChanged)

    QSharedPointer<ComicPage> comicPage() const;

public slots:
    void setComicPage(QSharedPointer<ComicPage> comicPage);

signals:
    void comicPageChanged(QSharedPointer<ComicPage> comicPage);

private slots:
    void on_pageSetup_changed();
    void on_generate_pushButton_clicked();
    void on_layoutBrowser_selectionChanged();
    void on_about_pushButton_clicked();

    void on_help_pushButton_clicked();

private:
    Ui::MainWindow *ui;
    struct Private;
    QSharedPointer<Private> m_private;
};

#endif // MAINWINDOW_H
