#ifndef PAGESETUPWIDGET_H
#define PAGESETUPWIDGET_H

#include <QWidget>
#include <QJsonDocument>

namespace Ui {
class PageSetupWidget;
}

class PageSetupWidget : public QWidget
{
    Q_OBJECT

public:
    explicit PageSetupWidget(QWidget *parent = 0);
    ~PageSetupWidget();

    int manuscriptWidth() const;
    int manuscriptHeight() const;
    int finishedWidth() const;
    int finishedHeight() const;
    int resolution() const;
    int orientation() const; // 0 portrait, 1 landscape
    int bleedWidth() const;
    QString author() const;
    QString title() const;
    int pageNumber() const;

    bool isValid() const;

signals:
    void changed();
    void orientationChanged(int);

private:
    Ui::PageSetupWidget *ui;
    QJsonDocument m_paperSizes;

private slots:
    void paperSize_changed();
};

#endif // PAGESETUPWIDGET_H
