#ifndef SHAPELAYER_H
#define SHAPELAYER_H

#include <QObject>
#include <QSharedPointer>
#include <QRectF>

class QuaZip;

class ShapeLayer : public QObject
{
    Q_OBJECT
public:
    explicit ShapeLayer(const QString &name, float lineStrength, QObject *parent = 0);
    virtual ~ShapeLayer();

    QString content_xml() const;
    QString maindoc_xml() const;
    QString styles_xml() const;
    QString manifest_xml() const;
    void drawRect(QRectF rect, int style);
    void drawScaledBox(const QRectF &page, const QRectF &rect);
    void writeFiles(QuaZip *quazip, const QString &title);
    QString uuid() const;

// Private
private:
    struct Private;
    QSharedPointer<Private> m_private;
    QString m_content;
    QString m_name;
    int m_counter;
    QString m_uuid;

    static int global_counter;
};

#endif // SHAPELAYER_H
