#include "comicutils.h"

#include <QtMath>
#include <QString>

float ComicUtils::mmToPt(float mm)
{
    float factor = 72.0/25.4;
    return factor*mm;
}

QSizeF ComicUtils::mmToPt(QSizeF mm)
{
    float factor = 72.0/25.4;
    return QSizeF(factor*mm.width(), factor*mm.height());
}

int ComicUtils::mmToPx(float mm, int resolution)
{
    float factor = ((float)resolution)/25.4;
    return qRound(((float)mm)*factor);
}

QSize ComicUtils::mmToPx(QSizeF mm, int resolution)
{
    float factor = ((float)resolution)/25.4;
    return QSize(qRound(((float)mm.width())*factor), qRound(((float)mm.height())*factor));
}

int ComicUtils::digits(int n)
{
    return n<100000?n<100?n<10?1:2:n<1000?3:n<10000?4:5:n<10000000?n<1000000?6:7:n<100000000?8:n<1000000000?9:10;
}

QString ComicUtils::number(int n, int highestNumber)
{
    return QString().sprintf(QString("%.%1i").arg(digits(highestNumber)).toLocal8Bit(), n);
}
