#include "pagegenerator.h"

struct PageGenerator::Private {
    Private(QSharedPointer<ComicPage> comicPage) :
        comicPage(comicPage)
    {}

    QSharedPointer<ComicPage> comicPage;
    QString author;
    QString title;
};

PageGenerator::PageGenerator(QSharedPointer<ComicPage> comicPage, QObject *parent) :
    QObject(parent),
    m_private(new Private(comicPage))
{

}

QSharedPointer<ComicPage> PageGenerator::comicPage() const
{
    return m_private->comicPage;
}

QString PageGenerator::author() const
{
    return m_private->author;
}

QString PageGenerator::title() const
{
    return m_private->title;
}

void PageGenerator::setComicPage(QSharedPointer<ComicPage> comicPage)
{
    if (m_private->comicPage == comicPage)
        return;

    m_private->comicPage = comicPage;
    emit comicPageChanged(comicPage);
}

void PageGenerator::setAuthor(QString author)
{
    if (m_private->author == author)
        return;

    m_private->author = author;
    emit authorChanged(author);
}

void PageGenerator::setTitle(QString title)
{
    if (m_private->title == title)
        return;

    m_private->title = title;
    emit titleChanged(title);
}
