#ifndef PAGEGENERATOR_H
#define PAGEGENERATOR_H

#include <QObject>
#include <QSharedPointer>

class ComicPage;

class PageGenerator : public QObject
{
    Q_OBJECT

public:
    explicit PageGenerator(QSharedPointer<ComicPage> comicPage = QSharedPointer<ComicPage>(), QObject *parent = 0);

    virtual void generate(const QString &filename) = 0;


// Properties
public:
    Q_PROPERTY(QSharedPointer<ComicPage> comicPage READ comicPage WRITE setComicPage NOTIFY comicPageChanged)
    Q_PROPERTY(QString author READ author WRITE setAuthor NOTIFY authorChanged)
    Q_PROPERTY(QString title READ title WRITE setTitle NOTIFY titleChanged)

    QSharedPointer<ComicPage> comicPage() const;
    QString author() const;
    QString title() const;

public slots:
    void setComicPage(QSharedPointer<ComicPage> comicPage);
    void setAuthor(QString author);
    void setTitle(QString title);

signals:
    void comicPageChanged(QSharedPointer<ComicPage> comicPage);
    void authorChanged(QString author);
    void titleChanged(QString title);


// Private
private:
    struct Private;
    QSharedPointer<Private> m_private;
};

#endif // PAGEGENERATOR_H
